## emacs 29.4+1

=== debian/changelog ===
emacs (1:29.4+1-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Jan 2025 07:05:00 +0100

emacs (1:29.4+1-5) unstable; urgency=medium

  * Update to GCC 14 (Closes: #1092655).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 13 Jan 2025 08:45:01 +0000

emacs (1:29.4+1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:42:02 +0100

emacs (1:29.4+1-4) unstable; urgency=medium

  * 00debian.el: Mark file with 'lexical-binding: t'.
  * 00debian.el: Use setopt, not setq.
  
  * Suggest emacs-editing-major-modes.
  
  * Disable flymake included-c-header-files test to fix build with
    gcc-14 (Closes: #1074936).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 Dec 2024 13:38:47 +0800

emacs (1:29.4+1-3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2024 08:16:03 +0200

emacs (1:29.4+1-3) unstable; urgency=high

  * Mark dired-test-bug27243-02 as unstable for now.
    This appears to be a known issue:
      https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243#64
      https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243#115
    Add 0017-Mark-dired-test-bug27243-02-as-unstable-for-now.patch to
    address it.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 29 Jun 2024 15:46:01 -0500

emacs (1:29.4+1-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jun 2024 11:43:29 +0200

emacs (1:29.4+1-2) unstable; urgency=medium

  * Minor edits to README.source.
  * Merge divergent branches of development.
    These were accidentally introduced by the previous upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Jun 2024 13:20:34 +0800

emacs (1:29.4+1-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2024 11:42:49 +0200

emacs (1:29.4+1-1) unstable; urgency=medium

  * Merge upstream version 29.4. (Closes: 1074137)
  * Update debian/copyright for 29.4.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 24 Jun 2024 19:34:05 -0500

emacs (1:29.3+1-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 10:06:22 +0200

emacs (1:29.3+1-3) unstable; urgency=medium

  [ Sean Whitton ]
  * README.source: document our workflows.

  [ Rob Browning ]
  * README.source: add rationale.

  [ Xiyue Deng ]
  * Only install the GSettings schema in the pgtk build.  Move
    /usr/share/glib-2.0/schemas/org.gnu.emacs.defaults.gschema.xml from
    emacs-common to emacs-pgtk so that it won't trigger the addition of a
    gsettings dependency for flavors that don't use it. (Closes: 1050393)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 15 May 2024 00:37:47 -0500

emacs (1:29.3+1-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 14:51:52 +0200

emacs (1:29.3+1-2) unstable; urgency=medium

  * Change native-comp-async-report-warnings-errors to `silent'.

  * d/rules: Enable running tests concurrently.
    Thanks Arto Jantunen for the patch.

  * Fix installation of desktop files for emacs-nox.
    Thanks to Brendan O'Dea for the report and fix. (Closes: #1069294)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Apr 2024 07:52:47 +0100
