## emacs 30.1%2B1

=== debian/changelog ===
emacs (1:30.1+1-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Mar 2025 07:50:07 +0200

emacs (1:30.1+1-5) unstable; urgency=medium

  * Disable emacs-module-tests.el (Closes: #1101598).
    These regularly cause FTBFS, i.e., more than just this bug report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Mar 2025 13:26:28 +0800

emacs (1:30.1+1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Mar 2025 08:23:44 +0100

emacs (1:30.1+1-4) unstable; urgency=medium

  * Add "Breaks: dh-elpa-helper (<< 2.1.7)" to flavour binary packages.
    Certain addons fail to byte-compile against Emacs 30 unless the
    newer dh-elpa-helper is made available first.
    It is believed, but not confirmed, that this is due to how the
    latest dh-elpa-helper compiles addons using byte-recompile-directory
    instead of batch-byte-compile.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Mar 2025 18:44:41 +0800

emacs (1:30.1+1-3) unstable; urgency=high

  * Disable server-tests/server-force-stop/keeps-frames on riscv64.

  * README.source: Add tasks for separately-packaged built-in libraries.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 26 Feb 2025 17:32:48 +0800

emacs (1:30.1+1-2) unstable; urgency=high

  * Boost BASE_PURESIZE in attempt to fix build on 32-bit archs.
    Thanks to Xiyue Deng for help testing.

  * Use correct upload urgency given security fixes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Feb 2025 09:21:24 +0800

emacs (1:30.1+1-1) unstable; urgency=medium

  * Merge upstream version 30.1 (Closes: #1088690, #1098255, #1098780).
    - Fixes CVE-2024-53920 and CVE-2025-1244.
    - Drop obsolete patch disabling flymake included-c-header-files test.

  * d/copyright: Updates for Emacs 30.1.
  * d/rules: Adjust for on-by-default native compilation.
  * d/control: Bump dependencies of 'emacs' metapackage.
  * d/control: Remove build dependency on libjansson-dev.
    This is no longer used by Emacs.

  * Fix eldoc warning in patch adding debian-emacs-flavor (Closes: #1095133).
    Thanks to Xiyue Deng for the report and fix.

  * README.source: Suggest using git-range-diff(1) on patch queues.
  * README.source: Bump version numbers in sample commands.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 24 Feb 2025 17:19:10 +0800

emacs (1:29.4+1-6ubuntu3) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 07:01:30 +0100

emacs (1:29.4+1-6) unstable; urgency=medium

  * Disable native compilation on loong64 (Closes: #1095720).
    Thanks to porter Dandan Zhang.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 12 Feb 2025 08:39:57 +0800
