## emacs 30.1+1

=== debian/changelog ===
emacs (1:30.1+1-6deepin1) unstable; urgency=medium

  * Port to deepin

 -- April Lu <apr3vau@outlook.com>  Tue, 12 Aug 2025 09:57:00 +0800

emacs (1:30.1+1-6) unstable; urgency=medium

  * Add Breaks/Replaces/Provides for builtin packages in this release.
    See #1103033.  Thanks to Xiyue Deng for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 18 Jul 2025 09:58:11 +0100
