=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  bsd-mailx | mailx,
  ca-certificates,
  dbus-x11,
- gcc-14,
+ gcc-13,
  debhelper-compat (= 13),
  dpkg-dev (>> 1.10.0),
  git,
@@ -19,14 +19,13 @@
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libcairo-dev,
  libdbus-1-dev,
- libgccjit-14-dev,
+ libgccjit-13-dev,
  libgif-dev,
  libgmp-dev,
  libgnutls28-dev,
  libgpm-dev [linux-any],
  libgtk-3-dev,
  libharfbuzz-dev,
- libjansson-dev,
  libjpeg-dev,
  liblcms2-dev,
  liblockfile-dev,
@@ -58,7 +57,7 @@
 Package: emacs
 Architecture: all
 Depends:
- emacs-gtk (>= 1:27.1) | emacs-pgtk (>= 1:27.1) | emacs-lucid (>= 1:27.1) | emacs-nox (>= 1:27.1),
+ emacs-gtk (>= 1:30.1) | emacs-pgtk (>= 1:30.1) | emacs-lucid (>= 1:30.1) | emacs-nox (>= 1:30.1),
  ${misc:Depends},
 Description: GNU Emacs editor (metapackage)
  GNU Emacs is the extensible self-documenting text editor.
@@ -77,7 +76,7 @@
 Suggests: emacs-common-non-dfsg, emacs-editing-major-modes
 Conflicts: emacs-gtk, emacs-pgtk, emacs-nox
 Replaces: emacs-gtk, emacs-pgtk, emacs-nox, emacs-bin-common (<< 1:29.2)
-Breaks: emacs-bin-common (<< 1:29.2)
+Breaks: emacs-bin-common (<< 1:29.2), dh-elpa-helper (<< 2.1.7)
 Description: GNU Emacs editor (with Lucid GUI support)
  GNU Emacs is the extensible self-documenting text editor.  This
  package contains a version of Emacs with support for a graphical user
@@ -100,7 +99,7 @@
 Suggests: emacs-common-non-dfsg, emacs-editing-major-modes
 Conflicts: emacs-gtk, emacs-pgtk, emacs-lucid
 Replaces: emacs-gtk, emacs-pgtk, emacs-lucid, emacs-bin-common (<< 1:29.2)
-Breaks: emacs-bin-common (<< 1:29.2)
+Breaks: emacs-bin-common (<< 1:29.2), dh-elpa-helper (<< 2.1.7)
 Description: GNU Emacs editor (without GUI support)
  GNU Emacs is the extensible self-documenting text editor.  This
  package contains a version of Emacs compiled without support for X,
@@ -118,7 +117,7 @@
 Suggests: emacs-common-non-dfsg, emacs-editing-major-modes
 Conflicts: emacs-pgtk, emacs-lucid, emacs-nox
 Replaces: emacs-pgtk, emacs-lucid, emacs-nox, emacs-bin-common (<< 1:29.2)
-Breaks: emacs-bin-common (<< 1:29.2)
+Breaks: emacs-bin-common (<< 1:29.2), dh-elpa-helper (<< 2.1.7)
 Description: GNU Emacs editor (with GTK+ GUI support)
  GNU Emacs is the extensible self-documenting text editor.  This
  package contains a version of Emacs with a graphical user interface
@@ -147,6 +146,7 @@
 Breaks:
  emacs-bin-common (<< 1:29.2),
  emacs-common (<< 1:29.3+1-3~),
+ dh-elpa-helper (<< 2.1.7)
 Description: GNU Emacs editor (with GTK+ Wayland GUI support)
  GNU Emacs is the extensible self-documenting text editor.  This
  package contains a version of Emacs with a graphical user interface
@@ -191,17 +191,230 @@
  emacs-gtk (<< 1:25),
  emacs-lucid (<< 1:25),
  emacs-nox (<< 1:25),
+ elpa-allout (<< 2.3),
+ elpa-allout-widgets (<< 1.0),
+ elpa-ansi-color (<< 3.4.2),
+ elpa-antlr-mode (<< 2.2.3),
+ elpa-auth-source-pass (<< 5.0.0),
+ elpa-backtrace (<< 1.0),
+ elpa-bind-key (<< 2.4.1),
+ elpa-cc-mode (<< 5.33.1),
+ elpa-cedet (<< 2.0),
+ elpa-cfengine (<< 1.4),
+ elpa-cl-generic (<< 1.0),
+ elpa-cl-lib (<< 1.0),
+ elpa-cl-print (<< 1.0),
+ elpa-compat (<< 30.1.9999),
+ elpa-ede (<< 2.0),
+ elpa-ediff (<< 2.81.6),
+ elpa-editorconfig (<< 0.11.0),
+ elpa-eglot (<< 1.17.30),
+ elpa-eieio (<< 1.4),
+ elpa-eieio-core (<< 1.4),
+ elpa-eldoc (<< 1.15.0),
+ elpa-epg (<< 1.0.0),
+ elpa-erc (<< 5.6.0.30.1),
+ elpa-eshell (<< 2.4.2),
+ elpa-external-completion (<< 0.1),
+ elpa-faceup (<< 0.0.6),
+ elpa-feedmail (<< 11),
+ elpa-find-cmd (<< 0.6),
+ elpa-flymake (<< 1.3.7),
+ elpa-flymake-proc (<< 1.0),
+ elpa-foldout (<< 1.10),
+ elpa-gnus (<< 5.13),
+ elpa-idlwave (<< 6.1.22),
+ elpa-image-dired (<< 0.5),
+ elpa-info-xref (<< 3),
+ elpa-isearchb (<< 1.5),
+ elpa-js (<< 9),
+ elpa-json (<< 1.5),
+ elpa-jsonrpc (<< 1.0.25),
+ elpa-let-alist (<< 1.0.6),
+ elpa-map (<< 3.3.1),
+ elpa-meta-mode (<< 1.0),
+ elpa-mh-e (<< 8.6~snapshot),
+ elpa-mixal-mode (<< 0.4),
+ elpa-nadvice (<< 1.0),
+ elpa-ntlm (<< 2.1.0),
+ elpa-org (<< 9.7.11),
+ elpa-package (<< 1.1.0),
+ elpa-peg (<< 1.0.1),
+ elpa-project (<< 0.11.1),
+ elpa-ps-mode (<< 1.1.9),
+ elpa-pulse (<< 1.0),
+ elpa-python (<< 0.28),
+ elpa-ruby-mode (<< 1.2),
+ elpa-ruby-ts-mode (<< 0.2),
+ elpa-semantic (<< 2.2),
+ elpa-seq (<< 2.24),
+ elpa-so-long (<< 1.1.2),
+ elpa-soap-client (<< 3.2.3),
+ elpa-sql (<< 3.6),
+ elpa-srecode (<< 1.2),
+ elpa-svg (<< 1.1),
+ elpa-tabulated-list (<< 1.0),
+ elpa-thunk (<< 1.0),
+ elpa-tildify (<< 4.6.1),
+ elpa-track-changes (<< 1.2),
+ elpa-tramp (<< 2.7.1.30.1),
+ elpa-transient (<< 0.7.2.2),
+ elpa-use-package (<< 2.4.6),
+ elpa-vera-mode (<< 2.28),
+ elpa-verilog-mode (<< 2024.3.1.121933719),
+ elpa-viper (<< 3.14.2),
+ elpa-which-key (<< 3.6.0),
+ elpa-whitespace (<< 13.2.2),
+ elpa-window-tool-bar (<< 0.2.1),
+ elpa-xref (<< 1.7.0),
 Replaces:
- emacs-bin-common (<< 1:28)
-Description: GNU Emacs editor's shared, architecture independent infrastructure
- GNU Emacs is the extensible self-documenting text editor.
- This package contains the architecture independent infrastructure
- that's shared by emacs-gtk, emacs-pgtk, emacs-lucid, and emacs-nox.
-
-Package: emacs-el
-Architecture: all
-Depends: emacs-common (= ${source:Version}), ${misc:Depends}
-Description: GNU Emacs LISP (.el) files
- GNU Emacs is the extensible self-documenting text editor.
- This package contains the elisp sources for the convenience of users,
- saving space in the main package for small systems.
+ emacs-bin-common (<< 1:28),
+ elpa-allout (<< 2.3),
+ elpa-allout-widgets (<< 1.0),
+ elpa-ansi-color (<< 3.4.2),
+ elpa-antlr-mode (<< 2.2.3),
+ elpa-auth-source-pass (<< 5.0.0),
+ elpa-backtrace (<< 1.0),
+ elpa-bind-key (<< 2.4.1),
+ elpa-cc-mode (<< 5.33.1),
+ elpa-cedet (<< 2.0),
+ elpa-cfengine (<< 1.4),
+ elpa-cl-generic (<< 1.0),
+ elpa-cl-lib (<< 1.0),
+ elpa-cl-print (<< 1.0),
+ elpa-compat (<< 30.1.9999),
+ elpa-ede (<< 2.0),
+ elpa-ediff (<< 2.81.6),
+ elpa-editorconfig (<< 0.11.0),
+ elpa-eglot (<< 1.17.30),
+ elpa-eieio (<< 1.4),
+ elpa-eieio-core (<< 1.4),
+ elpa-eldoc (<< 1.15.0),
+ elpa-epg (<< 1.0.0),
+ elpa-erc (<< 5.6.0.30.1),
+ elpa-eshell (<< 2.4.2),
+ elpa-external-completion (<< 0.1),
+ elpa-faceup (<< 0.0.6),
+ elpa-feedmail (<< 11),
+ elpa-find-cmd (<< 0.6),
+ elpa-flymake (<< 1.3.7),
+ elpa-flymake-proc (<< 1.0),
+ elpa-foldout (<< 1.10),
+ elpa-gnus (<< 5.13),
+ elpa-idlwave (<< 6.1.22),
+ elpa-image-dired (<< 0.5),
+ elpa-info-xref (<< 3),
+ elpa-isearchb (<< 1.5),
+ elpa-js (<< 9),
+ elpa-json (<< 1.5),
+ elpa-jsonrpc (<< 1.0.25),
+ elpa-let-alist (<< 1.0.6),
+ elpa-map (<< 3.3.1),
+ elpa-meta-mode (<< 1.0),
+ elpa-mh-e (<< 8.6~snapshot),
+ elpa-mixal-mode (<< 0.4),
+ elpa-nadvice (<< 1.0),
+ elpa-ntlm (<< 2.1.0),
+ elpa-org (<< 9.7.11),
+ elpa-package (<< 1.1.0),
+ elpa-peg (<< 1.0.1),
+ elpa-project (<< 0.11.1),
+ elpa-ps-mode (<< 1.1.9),
+ elpa-pulse (<< 1.0),
+ elpa-python (<< 0.28),
+ elpa-ruby-mode (<< 1.2),
+ elpa-ruby-ts-mode (<< 0.2),
+ elpa-semantic (<< 2.2),
+ elpa-seq (<< 2.24),
+ elpa-so-long (<< 1.1.2),
+ elpa-soap-client (<< 3.2.3),
+ elpa-sql (<< 3.6),
+ elpa-srecode (<< 1.2),
+ elpa-svg (<< 1.1),
+ elpa-tabulated-list (<< 1.0),
+ elpa-thunk (<< 1.0),
+ elpa-tildify (<< 4.6.1),
+ elpa-track-changes (<< 1.2),
+ elpa-tramp (<< 2.7.1.30.1),
+ elpa-transient (<< 0.7.2.2),
+ elpa-use-package (<< 2.4.6),
+ elpa-vera-mode (<< 2.28),
+ elpa-verilog-mode (<< 2024.3.1.121933719),
+ elpa-viper (<< 3.14.2),
+ elpa-which-key (<< 3.6.0),
+ elpa-whitespace (<< 13.2.2),
+ elpa-window-tool-bar (<< 0.2.1),
+ elpa-xref (<< 1.7.0),
+Provides:
+ elpa-allout (= 2.3),
+ elpa-allout-widgets (= 1.0),
+ elpa-ansi-color (= 3.4.2),
+ elpa-antlr-mode (= 2.2.3),
+ elpa-auth-source-pass (= 5.0.0),
+ elpa-backtrace (= 1.0),
+ elpa-bind-key (= 2.4.1),
+ elpa-cc-mode (= 5.33.1),
+ elpa-cedet (= 2.0),
+ elpa-cfengine (= 1.4),
+ elpa-cl-generic (= 1.0),
+ elpa-cl-lib (= 1.0),
+ elpa-cl-print (= 1.0),
+ elpa-compat (= 30.1.9999),
+ elpa-ede (= 2.0),
+ elpa-ediff (= 2.81.6),
+ elpa-editorconfig (= 0.11.0),
+ elpa-eglot (= 1.17.30),
+ elpa-eieio (= 1.4),
+ elpa-eieio-core (= 1.4),
+ elpa-eldoc (= 1.15.0),
+ elpa-epg (= 1.0.0),
+ elpa-erc (= 5.6.0.30.1),
+ elpa-eshell (= 2.4.2),
+ elpa-external-completion (= 0.1),
+ elpa-faceup (= 0.0.6),
+ elpa-feedmail (= 11),
+ elpa-find-cmd (= 0.6),
+ elpa-flymake (= 1.3.7),
+ elpa-flymake-proc (= 1.0),
+ elpa-foldout (= 1.10),
+ elpa-gnus (= 5.13),
+ elpa-idlwave (= 6.1.22),
+ elpa-image-dired (= 0.5),
+ elpa-info-xref (= 3),
+ elpa-isearchb (= 1.5),
+ elpa-js (= 9),
+ elpa-json (= 1.5),
+ elpa-jsonrpc (= 1.0.25),
+ elpa-let-alist (= 1.0.6),
+ elpa-map (= 3.3.1),
+ elpa-meta-mode (= 1.0),
+ elpa-mh-e (= 8.6~snapshot),
+ elpa-mixal-mode (= 0.4),
+ elpa-nadvice (= 1.0),
+ elpa-ntlm (= 2.1.0),
+ elpa-org (= 9.7.11),
+ elpa-package (= 1.1.0),
+ elpa-peg (= 1.0.1),
+ elpa-project (= 0.11.1),
+ elpa-ps-mode (= 1.1.9),
+ elpa-pulse (= 1.0),
+ elpa-python (= 0.28),
+ elpa-ruby-mode (= 1.2),
+ elpa-ruby-ts-mode (= 0.2),
+ elpa-semantic (= 2.2),
+ elpa-seq (= 2.24),
+ elpa-so-long (= 1.1.2),
+ elpa-soap-client (= 3.2.3),
+ elpa-sql (= 3.6),
+ elpa-srecode (= 1.2),
+ elpa-svg (= 1.1),
+ elpa-tabulated-list (= 1.0),
+ elpa-thunk (= 1.0),
+ elpa-tildify (= 4.6.1),
+ elpa-track-changes (= 1.2),
+ elpa-tramp (= 2.7.1.30.1),
+ elpa-transient (= 0.7.2.2),
+ elpa-use-package (= 2.4.6),
+ elpa-vera-mode (= 2.28),
+ elpa-verilog-mode (= 2024.3.1.121933719),
+ elpa-viper (= 3.14.2),
