## emacs 30.2%2B1

=== debian/changelog ===
emacs (1:30.2+1-1) unstable; urgency=medium

  * Merge upstream version 30.2
  * Update debian/copyright for 30.2
  * debian/copyright: add entry for emacs_wrench.png.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Nov 2025 16:49:07 -0600

emacs (1:30.1+1-9) unstable; urgency=medium

  * Adjust shr-tests/zoom test to work with libxml2 2.14+ Add
    0023-test-lisp-net-shr-tests.el-shr-test-zoom-image-Fix-i.patch to
    address the issue. Thanks to Matthias Klose for reporting the problem.
    (Closes: #1106354)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Aug 2025 20:04:56 -0500

emacs (1:30.1+1-8) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Aug 2025 10:21:45 +0100

emacs (1:30.1+1-7) experimental; urgency=medium

  * Add & run script to generate Breaks/Replaces/Provides for builtin
    packages during the build (Closes: #1103033).
    Thanks to Xiyue Deng for the script.

  * Backport upstream commit adding builtin packages query interfaces.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 25 Jul 2025 09:37:19 +0100
