=== debian/changelog ===
emacs (1:30.2+1-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - Ignore test results, on riscv64 the package builds with tests disabled
      making lot of sources not able to build there due to missing common
      package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Nov 2025 21:53:34 +0100

emacs (1:30.2+1-2) unstable; urgency=medium

  [ Rob Browning ]
  * Mark esh-proc-test/kill-pipeline as unstable for now.
    Skip it since it fails sporadically on at least s390x. Add
    0024-Mark-esh-proc-test-kill-pipeline-as-unstable-for-now.patch to
    address the issue.

  [ Sean Whitton ]
  * Boost BASE_PURESIZE further (Closes: #1121058).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 20 Nov 2025 18:22:13 +0000

emacs (1:30.2+1-1ubuntu2) resolute; urgency=medium

  * Ignore test results, on riscv64 the package builds with tests disabled
    making lot of sources not able to build there due to missing common
    package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Nov 2025 17:35:55 +0100

emacs (1:30.2+1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Nov 2025 08:15:29 +0100

emacs (1:30.1+1-9ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Aug 2025 09:19:50 +0200

emacs (1:30.1+1-8ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Test build, ignore test results.
    - Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 11:50:59 +0200

emacs (1:30.1+1-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Test build, ignore test results.
    - Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Aug 2025 11:18:35 +0200

emacs (1:30.1+1-5ubuntu6) questing; urgency=medium

  * Test build, ignore test results.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 16:03:05 +0200

emacs (1:30.1+1-5ubuntu4) questing; urgency=medium

  * Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 12:40:09 +0200

emacs (1:30.1+1-5ubuntu2) questing; urgency=medium

  * No-change rebuild for libtree-sitter0.22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 07 May 2025 10:08:37 +0100
