=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,13 @@
 endif
 
 deb_host_multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+  # Building the package with -O3 on ppc64el will cause the
+  # lcms-cri-cam02-ucs test to fail.
+  export DEB_CFLAGS_MAINT_STRIP = -O3
+  export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
 
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
@@ -213,11 +220,3 @@
 	@echo "debian_ver: $(debian_ver)"
 	@echo "debsrc_ver: $(debsrc_ver)"
 	@echo "deborig_ver: $(deborig_ver)"
-	@echo "debian_rev: $(debian_rev)"
-	@echo "runtime_ver: $(runtime_ver)"
-	@echo "major_ver: $(major_ver)"
-	@echo "minor_ver: $(minor_ver)"
-
-.PHONY: check-autogen
-check-autogen: $(persistent_autogen_files) $(nonpersistent_autogen_files)
-
